- var ListadoCabecera = ["Sku", "Cod. Alterno", "Descripción", "Descripción2"]

div.modal-header
    h4.modal-title {{ tTituloModal }}
    button(type="button", aria-label="Close", (click)="activeModal.dismiss('N')").close
        span(aria-hidden="true") &times;

div.modal-body
    div.container-fluid
        div(*ngIf="!tArchivoCargado").form-row
            div.form-group.col-12.custom-file
                input(#flArchivo="", type="file", accept=".xlsx, .xls", (change)="CargarExcel($event)")#flArchivo.custom-file-input
                label(for="flArchivo").custom-file-label
        div(*ngIf="tArchivoCargado").form-row
            div.form-group.col-12
                div.form-row
                    div.form-group.col-4
                        select([(ngModel)]="tFiltroActual").form-control
                            option(*ngFor="let tFiltro of tFiltros", [ngValue]="tFiltro") {{tFiltro.Filtro}}
                    div.form-group.col-7
                        input(type="text", placeholder="Ingrese busqueda", [(ngModel)]="tFiltroBusqueda").form-control
                    div.form-group.col-1
                        button(type="submit").btn.btn-primary
                            i.fas.fa-search
                div.form-row
                    div.form-group.col-12
                        div(style="overflow:scroll").table-responsive
                            table.table.table-sm.table-striped.table-hover
                                thead
                                    tr
                                        each Cabecera in ListadoCabecera || []
                                            th
                                                h6.font-weight-bold=Cabecera
                                tbody(*ngFor="let tArticulo of tArticulosCargados | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
                                    td
                                        h6 {{ tArticulo.Sku }}
                                    td
                                        h6 {{ tArticulo.Codalterno }}
                                    td
                                        h6.text-nowrap {{ tArticulo.Descripcion }}
                                    td
                                        h6.text-nowrap {{ tArticulo.Descripcion2 }}
                div.form-row
                    div.form-group.col-12
                        ngb-pagination([collectionSize]="tArticulosCargados.length", [(page)]="tPagina", aria-label="Default pagination", [pageSize]="tTamanoPag").d-flex.justify-content-center

div.modal-footer
    button(type="button", [disabled]="!tArchivoCargado", (click)="Cancelar()").btn.btn-light.mr-2 Cancelar 
    button(type="button", [disabled]="!tArchivoCargado", (click)="Cargar()").btn.btn-primary.ml-2.mr-2 Cargar 
    button(type="button", (click)="activeModal.close('N')").btn.btn-secondary.ml-2 Cerrar 